*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
body{
   background-color: black;
    min-height: 100vh;
    margin: auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
:root{
    --cell-size:170px;
    --mark-size:calc(var(--cell-size)*.9);
}
.container{
    background-color: white;
    height: 70vh;
    width: 50vw;
    align-items: center;
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-template-rows: repeat(3,1fr);
    grid-gap: 1rem;
    border: 2px solid black;
}
.item{
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100%;
    min-width: 100%;
    box-shadow: 0 0 10px rgba(0,0,0,0.5);
    cursor: pointer;
   
}
/* ********************** x object******************** */
.x::before,
.x::after{
    content: "";
    position: absolute;
    width: calc(var(--mark-size)*.2);
    height:var(--mark-size);
    background-color: black;
    display: none;
    transition: all 0.7s ease;
}
.x::before{
    transform: rotate(-45deg);
}
.x::after{
    transform: rotate(45deg);
}
/* ******************** o object *********************** */
/* .o::before{
    width:var(--mark-size) ;
    height:var(--mark-size);
    background-color: black;
    border-radius: 100px;
}
.o::after{
    width:calc(var(--mark-size)*.7) ;
    height:calc(var(--mark-size)*.7);
    background-color: rgb(255, 255, 255);
    border-radius: 100px; 
} */



/* ***************** object hover *****************8 */
.item:hover.x::after,
.item:hover.x::before,
.item:hover.o::before, 
.item:hover.o::after{
    display: block;
}
